#ifndef TEXTINPUTDIALOG_H
#define TEXTINPUTDIALOG_H

#include <QDialog>

QT_BEGIN_NAMESPACE
class QLineEdit;
class QPushButton;
QT_END_NAMESPACE

class TextInputDialog : public QDialog
{
  Q_OBJECT

public:
  explicit TextInputDialog(QWidget *parent = nullptr);

signals:
  void textSubmitted(const QString &text);

private slots:
  void onSubmit();

private:
  QLineEdit *m_lineEdit;
  QPushButton *m_sendButton;
};

#endif // TEXTINPUTDIALOG_H
